Bug Hunting Session
Bug 46777 - Error in MIME-type pictures
Summary: Error in MIME-type pictures
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-29 07:27 UTC by ape
Modified: 2018-01-29 10:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
example (64.92 KB, image/png)
2012-02-29 07:27 UTC, ape
Details
Image resourses for LibreOffice (1.51 MB, application/zip)
2012-02-29 07:32 UTC, ape
Details
*.exe; soffice.bin and loicons.dll (LibO-3.5.x_win_x86) (1.17 MB, application/zip)
2012-02-29 07:36 UTC, ape
Details
Icon_256 blurred; DOC and ODT icons - which is which? (52.50 KB, image/png)
2012-03-01 08:18 UTC, ape
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ape 2012-02-29 07:27:51 UTC
Created attachment 57812 [details]
example

Errors in icons and pictures, some icons and pictures (MIME-type) is missing.
A. MIME-types:
 1. "Chart" - these files will only open by the program Calc,  so the icon should be green frame (now - black).
 2. "Master_Doc" - are called "Writer_Global_Document", these files will only open by the program Writer, so the icon should be blue frame (now - black).
 3. Icons Web files have a frame of black. "sweb.exe" uses an icon "swriter.exe" (blue). I think that the use of the icon "Web" with the blue frame (as Writer) is the correct.
 4. There are no icons for the files (for example, Microsoft_Office), a format which supports LibreOffice limited. IMAGES_{ALL}.ZIP uses icons OpenOffice-1 to refer to these files. Windows Explorer does not even have these icons, and uses icons main applications. New icons can be obtained, if the graphic objects of The LibreOffice Icons Theme (by Christoph Noack) will be using a gray scale.
 5. There is no icon for "*.vor" files, IDE "Quick Start" and IDE "Templates and Documents" - "empty template".
 6. There is no icons for the "quickstart.exe" file and the "Program Group - LibreOffice" folder.
B. Application icons with size 256x256 px, contain an excessive number of elements. This makes the icons look blurry when scaled to the size 96x96 px (Windows_Vista_Seven Explorer). The icons look it is better if they were created from the program 128x128.svg Inscape (increasing the resolution to 180 px/in when exporting to raster).
C. We only have a few pictures size 22x22 px to use the GUI (images_{tango, oxygen, etc}.zip).
D. Pictures "Template", having a size 16x16 px, lost the spiral.
Comment 1 ape 2012-02-29 07:32:30 UTC
Created attachment 57813 [details]
Image resourses for LibreOffice

P.S. Please check the possibility of using the "*.png" and "*.ico" files (see attachment). I used to create icons and PNG-images for SVG files by Christoph Noack. Images (pictures, icons) were exported in bitmap (Inscape), retouched and compiled (GIMP).
Comment 2 ape 2012-02-29 07:36:02 UTC
Created attachment 57814 [details]
*.exe; soffice.bin and loicons.dll (LibO-3.5.x_win_x86)

P.P.S. I can explain where LibreOffice-3.5.0_Win_x86 uses all new icons (OS Windows: easy hacking, registry fix). These icons (for Windows_Explorer) are packed into the new file "loicons.dll". The remaining files (*.exe; soffice.bin) contain only the bare minimum of icons. Now the weight of files can not be reduced.
Comment 3 ape 2012-03-01 08:18:05 UTC
Created attachment 57866 [details]
Icon_256 blurred; DOC and ODT icons -  which is which?
Comment 4 QA Administrators 2014-10-24 03:18:26 UTC
Please read this message in its entirety before responding.

Your bug was confirmed at least 1 year ago and has not had any activity on it for over a year. Your bug is still set to NEW which means that it is open and confirmed. It would be nice to have the bug confirmed on a newer version than the version reported in the original report to know that the bug is still present -- sometimes a bug is inadvertently fixed over time and just never closed.

If you have time please do the following:
1) Test to see if the bug is still present on a currently supported version of LibreOffice (preferably 4.2 or newer).
2) If it is present please leave a comment telling us what version of LibreOffice and your operating system.
3) If it is NOT present please set the bug to RESOLVED-WORKSFORME and leave a short comment telling us your version and Operating System

Please DO NOT
1) Update the version field
2) Reply via email (please reply directly on the bug tracker)
3) Set the bug to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 5 QA Administrators 2015-12-20 16:09:40 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-01-03 19:47:14 UTC Comment hidden (obsolete)
Comment 7 Xisco Faulí 2017-06-08 09:15:16 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2018-01-02 10:15:33 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2018-01-29 10:36:33 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20180129